import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const dashboardGetSlaughterPeriodicPerformance = createAsyncThunk(
  "PERIODIC_PERFORMANCE_REPORT_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "periodic_performance_report_dashboard",
      {
        params: d,
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
